### Function

# EDataServer file_recursive_delete_sync

since: 3.6

#### Declaration [src]

    gboolean
    e_file_recursive_delete_sync (
      GFile* file,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Deletes `file`. If `file` is a directory, its contents are deleted recursively before `file` itself is deleted. The recursive delete operation will stop on the first error.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error #G_IO_ERROR_CANCELLED will be returned.

Available since: 3.6

#### Parameters

`file`

  Type: `GFile`

  A `GFile` to delete.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file was deleted, `FALSE` otherwise.